
#ifndef __CONSTANTS_H__
#define __CONSTANTS_H__

#define SENSOR_TEMPERATURE    0
#define SENSOR_HUMIDITY       1
#define SENSOR_LIGHT          2
#define SENSOR_WINDSPEED      3
#define SENSOR_PRESSURE       4
#define SENSOR_BAT_VOLTAGE    5
#define SENSOR_ESAVEMODE      6
#define SENSOR_BATCHARGESTATE 7


#define BAT_CHARGE_STATE_CHARGED     2.0
#define BAT_CHARGE_STATE_CHARGING    1.0
#define BAT_CHARGE_STATE_NOTCHARGING 0.0
#define ENERGY_SAVE_MODE_ENABLED     1.0
#define ENERGY_SAVE_MODE_DISABLED    0.0

#define FSM_STATE_1   0
#define FSM_STATE_2   1
#define FSM_STATE_3   2
#define FSM_STATE_4   3
#define FSM_STATE_5   4
#define FSM_STATE_6   5
#define FSM_STATE_7   6
#define FSM_STATE_8   7
#define FSM_STATE_9   8
#define FSM_STATE_10  9
#define FSM_STATE_11 10
#define FSM_STATE_12 11

#endif
